@ECHO OFF&(PUSHD "%~DP0")&(REG QUERY "HKU\S-1-5-19">NUL 2>&1)||(
powershell -Command "Start-Process '%~sdpnx0' -Verb RunAs"&&EXIT)

taskkill /f /im Ilc* >NUL 2>NUL
taskkill /f /im YY* /t >NUL 2>NUL
taskkill /f /im adb.exe >NUL 2>NUL
taskkill /f /im MosTool* /t >NUL 2>NUL
taskkill /f /im GPRender* /t >NUL 2>NUL
taskkill /f /im mctoolbar* /t >NUL 2>NUL
taskkill /f /im mountPlayer* /t >NUL 2>NUL
taskkill /f /im HuyaYYUpdate.exe >NUL 2>NUL

ECHO.& ECHO 正在处理...
del/f/q "%AppData%\duowan\yy\log" >NUL 2>NUL
del/f/s/q "%AppData%\duowan\*" >NUL 2>NUL
rd/s/q "%AppData%\duowan\yy" 2>NUL
rd/s/q "%AppData%\mostool" 2>NUL
rd/s/q "%AppData%\duowan" 2>NUL
rd/s/q "%CommonProgramW6432%\duowan" 2>NUL
rd/s/q "%CommonProgramFiles(x86)%\duowan"2>NUL
reg delete "HKCU\Software\duowan" /f>NUL 2>NUL

start "" /wait "%~dp09.42.0.0\yyrun.exe" -reg
del/f/q "%AppData%\mostool" >NUL 2>NUL
del/f/q "%AppData%\duowan\yy\log" >NUL 2>NUL
rd/s/q "%AppData%\duowan\yy" 2>NUL
rd/s/q "%AppData%\mostool" 2>NUL
ping 127.1 /n 2 >NUL 2>NUL
rd/s/q "%AppData%\duowan" 2>NUL
md "%AppData%\duowan\yy\business" 2>NUL
md "%AppData%\duowan\yy\yycomstore\2052" 2>NUL
md "%AppData%\duowan\yy\openplatform\addons\platform" 2>NUL

echo. >"%AppData%\mostool" 2>NUL
echo. >"%AppData%\duowan\yy\log" 2>NUL
echo. >"%AppData%\duowan\yy\setup" 2>NUL
echo. >"%AppData%\duowan\yy\update" 2>NUL
echo. >"%AppData%\duowan\yygame" 2>NUL
echo. >"%AppData%\duowan\gamebox" 2>NUL
echo. >"%AppData%\duowan\YYExplorer" 2>NUL
echo. >"%AppData%\duowan\yy\yyapkinst" 2>NUL
echo. >"%AppData%\duowan\yyedownloader" 2>NUL
echo. >"%AppData%\duowan\yygamestore" 2>NUL
echo. >"%AppData%\duowan\phonetreasure" 2>NUL
echo. >"%AppData%\duowan\yy\business\gameproxy" 2>NUL
echo. >"%AppData%\duowan\yy\business\gamesmilies" 2>NUL
echo. >"%AppData%\duowan\yy\openplatform\aggame" 2>NUL
echo. >"%AppData%\duowan\yy\openplatform\addons\platform\20011" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhuservice" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.friendassist" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.peiwan" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apppush" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.bzAssistant" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamepk" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameHall" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameteam" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamestore" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewonder" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannel" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannelbaby" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamecard" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamelivecard" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.garbagecleaner" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamenotify" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamesmilies" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.kuaikuai" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.yycgame" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.phonetreasure" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.logingiftbag" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.webrunlogin" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.activity" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.mostoolTeamfightTactics" 2>NUL
attrib +r "%~dp09.42.0.0\components\com.yy.gameproxy" >NUL 2>NUL
attrib +r "%AppData%\mostool" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\log" >NUL 2>NUL
attrib +r "%AppData%\duowan\phonetreasure" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\setup" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\update" >NUL 2>NUL
attrib +r "%AppData%\duowan\yygame" >NUL 2>NUL
attrib +r "%AppData%\duowan\gamebox" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yyapkinst" >NUL 2>NUL
attrib +r "%AppData%\duowan\yygamestore" >NUL 2>NUL
attrib +r "%AppData%\duowan\yyedownloader" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\cache\wonderworld" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\cache\download\constancy" >NUL 2>NUL
attrib +r "%AppData%\duowan\yyedownloader" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business\gameproxy" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business\gamesmilies" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\openplatform\aggame" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\openplatform\addons\platform\20011" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.peiwan" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.activity" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhuservice" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.friendassist" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.webrunlogin" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.apppush" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.bzAssistant" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamepk" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamecard" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameHall" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamestore" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameteam" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewonder" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannel" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannelbaby" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamenotify" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamesmilies" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.kuaikuai" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.yycgame" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamelivecard" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.garbagecleaner" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.phonetreasure" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.logingiftbag" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.mostoolTeamfightTactics" >NUL 2>NUL

mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\YY语音.lnk""):b.TargetPath=""%~sdp0YY.exe"":b.WorkingDirectory=""%~sdp0"":b.Save:close")

Cls

ECHO.&ECHO 完成 &TIMEOUT /t 2 >NUL&EXIT